<?php
/**
 * DBShop 电子商务系统
 *
 * ==========================================================================
 * @link      https://www.dbshop.net/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbshop.net/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Sales\Repository;

use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\Query\Expr\Join;
use Sales\Entity\Order;
use Sales\Entity\OrderRefundLog;
use Sales\Repository\QuerySearch\OrderRefundLogSearch;

class OrderRefundLogRepository extends EntityRepository
{
    /**
     * 退款记录
     * @param array $search
     * @return \Doctrine\ORM\Query
     */
    public function findOrderRefundLog(array $search = [])
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('r', 'o.currencySymbol')
            ->from(OrderRefundLog::class, 'r')
            ->leftJoin(Order::class, 'o', Join::WITH, 'r.orderId=o.orderId')
            ->orderBy('r.refundLogId', 'DESC');

        $query = OrderRefundLogSearch::querySearchData($search, $query);

        return $query->getQuery();
    }
}